<?php

namespace app\admin\model;

use app\BaseModel;

class ExpressionCategory extends BaseModel
{
    protected $autoWriteTimestamp = true;
    protected $createTime = 'created_at';
    protected $updateTime = 'updated_at';
    public function languages()
    {
        return $this->hasMany(ExpressionCategoryLanguages::class, 'category_id')
            ->order('language_code', 'asc')
            ->field(['category_id','language_code','name','weight','status']);
    }
}